//显示灰色 jQuery 遮罩层
var mm=0,mn=0;
$(function() {
    $(".fl").hide();
    $(".class1").click(function(event) {
        $(".flqy").slideToggle();
		$(this).toggleClass("xiala");
		$(".class3").removeClass("xiala");
		$(".class2").removeClass("xiala");
		mn=0;
		if(mm ==1)
		{
			$(".mask1").hide();
			mm=0;
		}
		else
		{
			$(".mask1").show();
			mm++;
		}
        $(".mr").hide();
        $(".qy").hide();
		$(".mask2").hide();
        //区域内滑动
        var myScroll;
        var myScroll1;
        var myScroll2;
        $(function() {
            myScroll = new IScroll('#flwrapper', {
                mouseWheel: true,
                click: true
            });
            myScroll1 = new IScroll('#flwrapper1', {
                mouseWheel: true,
                click: true
            });
            myScroll2 = new IScroll('#flwrapper2', {
                mouseWheel: true,
                click: true
            });
            if( $("#flwrapper3").length>0)
			{
				myScroll = new IScroll('#flwrapper3', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper4").length>0)
			{
				myScroll = new IScroll('#flwrapper4', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper5").length>0)
			{
				myScroll = new IScroll('#flwrapper5', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper6").length>0)
			{
				myScroll = new IScroll('#flwrapper6', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper7").length>0)
			{
				myScroll = new IScroll('#flwrapper7', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper8").length>0)
			{
				myScroll = new IScroll('#flwrapper8', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#flwrapper9").length>0)
			{
				myScroll = new IScroll('#flwrapper9', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#flwrapper10").length>0)
			{
				myScroll = new IScroll('#flwrapper10', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#flwrapper11").length>0)
			{
				myScroll = new IScroll('#flwrapper11', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#flwrapper12").length>0)
			{
				myScroll = new IScroll('#flwrapper12', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#flwrapper13").length>0)
			{
				myScroll = new IScroll('#flwrapper13', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#flwrapper14").length>0)
			{
				myScroll = new IScroll('#flwrapper14', {
					mouseWheel: true,
					click: true
				});
			}
        }) 
		$(document).click(function() {
            $(".flqy").slideUp();
			$(".qy").slideUp();
            $(".mask1").hide();
			$(".mask2").hide();
			$(".class1").removeClass("xiala");
			$(".class2").removeClass("xiala");
			$(".class3").removeClass("xiala");
			mn=0;
			mm=0;
        });
        event.stopPropagation();
    });
    $(".flqy").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})
$(function() {
    $(".qy").hide();
    $(".class3").click(function(event) {
        $(".qy").slideToggle();
		$(this).toggleClass("xiala");
		$(".class1").removeClass("xiala");
		$(".class2").removeClass("xiala");
		mm=0;
        if(mn ==1)
		{
			$(".mask2").hide();
			mn=0;
		}
		else
		{
			$(".mask2").show();
			mn++;
		}
        $(".mr").hide();
		$(".mask1").hide();
		$(".flqy").hide();
        //区域内滑动
        var myScroll;
        var myScroll1;
        var myScroll2;
        $(function() {
            myScroll = new IScroll('#wrapper', {
                mouseWheel: true,
                click: true
            });
            myScroll1 = new IScroll('#wrapper1', {
                mouseWheel: true,
                click: true
            });
            myScroll2 = new IScroll('#wrapper2', {
                mouseWheel: true,
                click: true
            });
            if( $("#wrapper3").length>0)
			{
				myScroll = new IScroll('#wrapper3', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper4").length>0)
			{
				myScroll = new IScroll('#wrapper4', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper5").length>0)
			{
				myScroll = new IScroll('#wrapper5', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper6").length>0)
			{
				myScroll = new IScroll('#wrapper6', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper7").length>0)
			{
				myScroll = new IScroll('#wrapper7', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper8").length>0)
			{
				myScroll = new IScroll('#wrapper8', {
					mouseWheel: true,
					click: true
				});
			}
            if( $("#wrapper9").length>0)
			{
				myScroll = new IScroll('#wrapper9', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#wrapper10").length>0)
			{
				myScroll = new IScroll('#wrapper10', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#wrapper11").length>0)
			{
				myScroll = new IScroll('#wrapper11', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#wrapper12").length>0)
			{
				myScroll = new IScroll('#wrapper12', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#wrapper13").length>0)
			{
				myScroll = new IScroll('#wrapper13', {
					mouseWheel: true,
					click: true
				});
			}
			if( $("#wrapper14").length>0)
			{
				myScroll = new IScroll('#wrapper14', {
					mouseWheel: true,
					click: true
				});
			}
        }) 
		$(document).click(function() {
            $(".flqy").slideUp();
			$(".qy").slideUp();
            $(".mask1").hide();
			$(".mask2").hide();
			$(".class1").removeClass("xiala");
			$(".class2").removeClass("xiala");
			$(".class3").removeClass("xiala");
			mn=0;
			mm=0;
        });
        event.stopPropagation();
    });
    $(".qy").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})
//默认筛选  
$(function() {
    $(".mr").hide();
    $(".class2").click(function(event) {
        $(".mr").slideToggle();
        $(".qy").hide();
        $(".flqy").hide();
        $(".mask2").hide();
        $(".mask1").toggle();
		$(this).toggleClass("xiala");
 		$(".class1").removeClass("xiala");
		$(".class3").removeClass("xiala");
       mn=0;
		mm=0;
        //区域内滑动
        var myScroll;
        $(function() {
            myScroll = new IScroll('#wrapperm', {
                mouseWheel: true,
                click: true
            });
        }) 
		$(document).click(function() {
            $(".flqy").slideUp();
			$(".qy").slideUp();
			$(".mr").slideUp();
            $(".mask1").hide();
			$(".mask2").hide();
			$(".class1").removeClass("xiala");
			$(".class2").removeClass("xiala");
			$(".class3").removeClass("xiala");
			mn=0;
			mm=0;
        });
        event.stopPropagation();
    });
    $(".mr").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})

//点击加颜色  
$(function() {
    $(".mr-ul ul li").click(function() {
        $(this).addClass("on").siblings().removeClass("on");
    })
})

// 点击到顶部
function showtop() {
    var ftop = document.getElementById("f-top");
    ftop.scrollIntoView();
}

//区域筛选
$(function() {
    $(".xuan ul li").each(function(i) {
        $(this).click(function() {
            $(this).parent().parent().removeClass("xu");
            $(this).addClass("d2").siblings().removeClass("d2");
            $(".ch-list:eq(" + i + ")").show().siblings(".ch-list").hide();
        })
    })
})